Apache Tomcat 6.0.53

## org.apache.naming.resources
Class CacheEntry

    java.lang.Object
      org.apache.naming.resources.CacheEntry

    public class CacheEntry

extends java.lang.Object

Implements a cache entry.

Author:
  Remy Maucherat

Field Summary
`long` | `accessCount`
`ResourceAttributes` | `attributes`
`javax.naming.directory.DirContext` | `context`
`boolean` | `exists`
`java.lang.String` | `name`
`Resource` | `resource`
`int` | `size`
`long` | `timestamp`

Constructor Summary
`CacheEntry()`

Method Summary
`void` | `recycle()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timestamp

    public long timestamp

### name

    public java.lang.String name

### attributes

    public ResourceAttributes attributes

### resource

    public Resource resource

### context

    public javax.naming.directory.DirContext context

### exists

    public boolean exists

### accessCount

    public long accessCount

### size

    public int size

Constructor Detail

### CacheEntry

    public CacheEntry()

Method Detail

### recycle

    public void recycle()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.